# Uses of Class
org.opensaml.saml.common.messaging.context.SAMLMetadataLookupParametersContext

Packages that use SAMLMetadataLookupParametersContext
Package
Description
org.opensaml.saml.common.messaging.context
Context classes for SAML-based messaging function.

## Uses of SAMLMetadataLookupParametersContext in org.opensaml.saml.common.messaging.context

Methods in org.opensaml.saml.common.messaging.context that return SAMLMetadataLookupParametersContext
Modifier and Type
Method
Description
`SAMLMetadataLookupParametersContext`
SAMLMetadataLookupParametersContext.`setCriteriaExtender(BiConsumer<MessageContext,CriteriaSet> extender)`
Set a callable hook for extending the `CriteriaSet` used for metadata resolution.
`SAMLMetadataLookupParametersContext`
SAMLMetadataLookupParametersContext.`setDetectDuplicateEntityIDs(DetectDuplicateEntityIDs strategy)`
Set the strategy for duplicate entityID detection.